/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\misc\lrcsuit.cs
Lines of code: 75
***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class lrcsuit : Bag
	{

		[Constructable]
		public lrcsuit()
		{
			Hue = 0x554;
			Name = "Lower Reg Cost Suit";
			
			//make items
			GoldRing ring = new GoldRing();
			ring.Attributes.LowerRegCost=10;
			ring.LootType = LootType.Blessed;

			GoldBracelet brace = new GoldBracelet();
			brace.Attributes.LowerRegCost=10;
			brace.LootType = LootType.Blessed;
			
			LeatherArms arms = new LeatherArms();
			arms.Attributes.LowerRegCost=10;
			arms.LootType = LootType.Blessed;
			arms.ArmorAttributes.SelfRepair=10;
			
			LeatherCap hat= new LeatherCap();
			hat.Attributes.LowerRegCost=10;					
			hat.LootType = LootType.Blessed;
			hat.ArmorAttributes.SelfRepair=10;
			
			GoldEarrings earings= new GoldEarrings();
			earings.Attributes.LowerRegCost=10;					
			earings.LootType = LootType.Blessed;			
						
			LeatherChest chest = new LeatherChest();
			chest.Attributes.LowerRegCost=10;
			chest.LootType = LootType.Blessed;
			chest.ArmorAttributes.SelfRepair=10;
			
			LeatherGorget gorget = new LeatherGorget();
			gorget.Attributes.LowerRegCost=10;
			gorget.LootType = LootType.Blessed;
			gorget.ArmorAttributes.SelfRepair=10;
			
			LeatherGloves gloves= new LeatherGloves();
			gloves.Attributes.LowerRegCost=10;
			gloves.LootType = LootType.Blessed;
			gloves.ArmorAttributes.SelfRepair=10;
			
			LeatherLegs legs= new LeatherLegs();
			legs.Attributes.LowerRegCost=10;			
			legs.LootType = LootType.Blessed;
			legs.ArmorAttributes.SelfRepair=10;
			
			BaseTalisman tali = new BaseTalisman(0x2F58);
			tali.Attributes.LowerRegCost=10;
			tali.Attributes.RegenMana=5;
			tali.LootType = LootType.Blessed;
			
			//drop items
			DropItem(ring);
			DropItem(brace);
			DropItem(arms);
			DropItem(hat);
			DropItem(chest);
			DropItem(arms);
			DropItem(gorget);
			DropItem(gloves);
			DropItem(legs);
			DropItem(tali);	
			DropItem(earings);
		}

		public lrcsuit( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();

		}
	}
}